# Generated by Django 3.1.5 on 2021-01-23 16:11

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.datetime_safe


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('books', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='BookShelf',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('evaluation', models.IntegerField(blank=True, null=True)),
                ('available', models.BooleanField(default=True)),
                ('book', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='books.book')),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='SharedBookShelves',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_requested', models.DateField(default=django.utils.datetime_safe.date.today)),
                ('date_returned', models.DateField(blank=True, null=True)),
                ('status', models.SmallIntegerField(choices=[(0, 'requested'), (1, 'borrowed'), (2, 'returned'), (3, 'denied')], default=0)),
                ('evaluation', models.IntegerField(blank=True, null=True)),
                ('bookshelf', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='bookshelves.bookshelf')),
                ('solicitor', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
